#
# Please do not update/rebuild/touch this package before asking first to mikala and/or neoclust
# This package is part of the KDE Stack.
#


%define rel 1

Name: kolourpaint
Summary: A free, easy-to-use paint program for KDE
Version: 4.10.2
Release: %mkrel %{rel}
Epoch: 2
Group: Graphics/Editors and Converters
License: GPLv2 and LGPLv2 and GFDL
URL: http://www.kde.org/applications/graphics/kolourpaint/
Source: ftp://ftp.kde.org/pub/kde/stable/%version/src/%name-%version.tar.xz
BuildRequires: kdelibs4-devel >= 2:%{version}
BuildRequires: pkgconfig(qimageblitz)
Suggests: kolourpaint-handbook
# Branch Patch (100-200)


%description
KolourPaint is a free, easy-to-use paint program for KDE.

It aims to be conceptually simple to understand; providing a level of
functionality targeted towards the average user. It's designed for daily
tasks like:

* Painting - drawing diagrams and "finger painting"
* Image Manipulation - editing screenshots and photos; applying effects
* Icon Editing - drawing clipart and logos with transparency

%files
%_kde_bindir/kolourpaint
%_kde_datadir/applications/kde4/kolourpaint.desktop
%_kde_appsdir/kolourpaint
%_kde_iconsdir/hicolor/*/apps/kolourpaint.*

#------------------------------------------------------------------------------

%package -n kolourpaint-handbook
Summary: kolourpaint Handbook
Conflicts: kolourpaint < 2:4.7.1
Requires:  kolourpaint >= %{epoch}:%{version}-%{release}
BuildArch: noarch
Group: Documentation
%description -n kolourpaint-handbook
This package provides kolourpaint handbook.

%files -n kolourpaint-handbook
%doc COPYING COPYING.LIB COPYING.DOC
%doc %_kde_docdir/HTML/en/kolourpaint/

#------------------------------------------------------------------------------

%define kolourpaint_lgpl_major 4
%define libkolourpaint_lgpl %mklibname kolourpaint_lgpl %kolourpaint_lgpl_major

%package -n %libkolourpaint_lgpl
Summary: Runtime library for Kolourpaint
Group: System/Libraries

%description -n %libkolourpaint_lgpl
Runtime library for Kolourpaint.

%files -n %libkolourpaint_lgpl
%_kde_libdir/libkolourpaint_lgpl.so.%{kolourpaint_lgpl_major}*

#------------------------------------------------------------------------------

%package devel
Summary: Devel stuff for %name
Group: Development/KDE and Qt
Requires: %libkolourpaint_lgpl = %epoch:%version-%release
Conflicts: kdegraphics4-devel < 2:4.6.90

%description devel
This package contains header files needed if you wish to build applications
based on %name.

%files devel
%_kde_libdir/libkolourpaint_lgpl.so

#------------------------------------------------------------------------------

%prep
%setup -q

%build
export LD=/usr/bin/ld.gold
%cmake_kde4 -DKDE4_ENABLE_FINAL=ON
%make

%install
rm -fr %buildroot
%makeinstall_std -C build


%changelog

* Tue Apr 02 2013 mikala <mikala> 2:4.10.2-1.mga3
+ Revision: 407176
- Update tarball to KDE SC 4.10.2

* Sat Mar 09 2013 lmenut <lmenut> 2:4.10.1-1.mga3
+ Revision: 401906
- Update tarball to KDE SC 4.10.1

* Mon Feb 04 2013 mikala <mikala> 2:4.10.0-1.mga3
+ Revision: 394353
- Update tarball to KDE SC 4.10.0
- Update tarball to KDE SC 4.9.98 aka KDE SC 4.10 RC3

* Sat Jan 12 2013 umeabot <umeabot> 2:4.9.97-2.mga3
+ Revision: 356406
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

  + boklm <boklm>
    - Update group: Graphics/Editors -> Graphics/Editors and Converters

* Sat Jan 05 2013 mikala <mikala> 2:4.9.97-1.mga3
+ Revision: 339398
- Update tarball to KDE SC 4.9.97 aka KDE SC 4.10 RC2

* Mon Dec 24 2012 mikala <mikala> 2:4.9.95-1.mga3
+ Revision: 334507
- Update tarball to KDE SC 4.9.95 aka KDE SC 4.10 RC1

* Wed Dec 05 2012 mikala <mikala> 2:4.9.90-1.mga3
+ Revision: 326712
- Update tarball to KDE SC 4.9.90 aka KDE SC 4.10 Beta2

* Wed Nov 21 2012 mikala <mikala> 2:4.9.80-1.mga3
+ Revision: 320265
- Update tarball to KDE SC 4.9.80 aka KDE SC 4.10 Beta1

* Wed Nov 07 2012 mikala <mikala> 2:4.9.3-1.mga3
+ Revision: 316149
- Update tarball to KDE SC 4.9.3

* Tue Oct 02 2012 mikala <mikala> 2:4.9.2-1.mga3
+ Revision: 301925
- Update tarball to KDE SC 4.9.2
- Fix group

* Sat Sep 08 2012 mikala <mikala> 2:4.9.1-1.mga3
+ Revision: 289714
- Update tarball to KDE SC 4.9.1

* Wed Aug 01 2012 mikala <mikala> 2:4.9.0-1.mga3
+ Revision: 277065
- Silent: Fix Source URL
- Update tarball to KDE 4.9.0

* Thu Jul 12 2012 fwang <fwang> 2:4.8.97-1.mga3
+ Revision: 269694
- new version 4.8.97

* Sun Jul 01 2012 shlomif <shlomif> 2:4.8.95-1.mga3
+ Revision: 265777
- New version - 4.8.95

* Fri Jun 08 2012 fwang <fwang> 2:4.8.4-1.mga3
+ Revision: 257216
- new version 4.8.4

* Mon Apr 23 2012 mikala <mikala> 2:4.8.2-2.mga2
+ Revision: 232814
- Add missing requires for handbook

* Wed Apr 04 2012 fwang <fwang> 2:4.8.2-1.mga2
+ Revision: 228443
- new version 4.8.2

* Thu Mar 08 2012 mikala <mikala> 2:4.8.1-1.mga2
+ Revision: 221491
- New upstream tarball

* Thu Jan 19 2012 mikala <mikala> 2:4.8.0-1.mga2
+ Revision: 198185
- Updating tarball to KDE 4.8.0

* Thu Jan 05 2012 mikala <mikala> 2:4.7.97-1.mga2
+ Revision: 190930
- Update tarball to KDE SC 4.7.97

* Thu Dec 22 2011 mikala <mikala> 2:4.7.95-1.mga2
+ Revision: 185921
- Update tarball to KDE SC 4.7.95
- fix group
- fix devel requires

* Thu Dec 15 2011 mikala <mikala> 2:4.7.90-1.mga2
+ Revision: 182133
- Update tarball to KDE SC 4.7.90

* Sun Dec 04 2011 mikala <mikala> 2:4.7.4-1.mga2
+ Revision: 176465
- Update tarball to KDE SC 4.7.4

* Wed Nov 02 2011 mikala <mikala> 2:4.7.3-1.mga2
+ Revision: 161361
- Update tarball to KDE SC 4.7.3

* Wed Oct 05 2011 mikala <mikala> 2:4.7.2-1.mga2
+ Revision: 151966
- Update tarball to KDE SC 4.7.2

* Wed Sep 07 2011 mikala <mikala> 2:4.7.1-1.mga2
+ Revision: 140657
- Update tarball to KDE SC 4.7.1
- Split handbook in his own package (mga #2101)
- Remove %%clean section
- Update tarball to KDE SC 4.7.0
- fix license
- remove %%defattr
- update url
- use pkgconfig() for buildrequires

* Mon Jul 11 2011 mikala <mikala> 2:4.6.95-0.mga2
+ Revision: 122481
- Update tarball to KDE 4.6.95 (KDE SC 4.7 RC2)

* Wed Jun 29 2011 fwang <fwang> 2:4.6.90-1.mga2
+ Revision: 115552
- add conflits on older package for upgrading

  + mikala <mikala>
    - imported package kolourpaint

